<mat-card class="card">
    <div class="login">
        <div>
            <mat-form-field appearance="legacy">
                <mat-label>Email</mat-label>
                <input type="email" matInput placeholder="user@email.com" #email>
            </mat-form-field>
        </div>
        <div>
            <mat-form-field>
                <mat-label>Password</mat-label>
                <input type="password" matInput #password>
            </mat-form-field>
        </div>
        <div>
            <mat-form-field>
                <mat-label>Username</mat-label>
                <input type="text" matInput #userName>
            </mat-form-field>
        </div>
        <div class="-button"><button mat-flat-button color="primary" (click)='signUp(email.value, password.value, userName.value)'>SignUp</button></div>
    </div>
</mat-card>